// components/radioGroup/index.js
Component({
  options: {
    lifetimes: true
  },
    /**
     * 组件的属性列表
     */
    properties: {
        //选项列表
        list: {
            type: Array,
            value: []
        },
        //显示的label的key
        labelKey: {
            type: String,
            value: null
        },
        //取值的value的key
        valueKey: {
            type: String,
            value: "id"
        },
        // 默认值
        value: null,
        chooseCss: {
            type: String,
            value: "radios"
        }
        // id:{
        //     type:Number,
        // },
    },

    /**
     * 组件的初始数据
     */
    data: {},
    lifetimes: {
        attached() {
            const { value } = this.data;
            if (value != null) {
                this.triggerEvent("change", value);
            }
        }
    },
    /**
     * 组件的方法列表
     */
    methods: {
        onChange(e) {
            this.triggerEvent("change", e.detail);
        }
    }
});
